Skip to main content
GET
/
v1
/
risk-ranges
/
{riskRangesId}
Read Risk Range
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId} \
  --header 'Authorization: Bearer <token>'
{
  "libraryId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "id": "<string>",
  "version": 123,
  "low": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "medium": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "high": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "system": true,
  "engagementId": "<string>",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

riskRangesId
string
required

Response

200 - application/json

OK

libraryId
string
required

Identifies the library associated with this risk range.

analysisTypeId
string
required

Identifies the analysis type associated with this risk range.

name
string
required

The name of the risk range.

Maximum string length: 80
id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

low
Risk Range Bounds · object

The low range bounds.

medium
Risk Range Bounds · object

The medium range bounds.

high
Risk Range Bounds · object

The high range bounds.

system
boolean

Indicates whether or not the risk ranges are a MindBridge system risk range.

engagementId
string

Identifies the engagement associated with this risk range.

description
string

The description of the risk range.

Maximum string length: 250